/*
 * Copyright 2016 Yan Zhenjie
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.yanzhenjie.permission.sample;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;

import com.yanzhenjie.permission.sample.fragment.FragmentActivity;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        findViewById(R.id.btn_activity).setOnClickListener(this);
        findViewById(R.id.btn_fragment).setOnClickListener(this);
        findViewById(R.id.btn_rationale).setOnClickListener(this);
        findViewById(R.id.btn_not_again).setOnClickListener(this);
        findViewById(R.id.btn_listener).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_activity: {
                startActivity(new Intent(this, PermissionActivity.class));
                break;
            }
            case R.id.btn_fragment: {
                startActivity(new Intent(this, FragmentActivity.class));
                break;
            }
            case R.id.btn_rationale: {
                startActivity(new Intent(this, RationalePermissionActivity.class));
                break;
            }
            case R.id.btn_not_again: {
                startActivity(new Intent(this, NotAgainActivity.class));
                break;
            }
            case R.id.btn_listener: {
                startActivity(new Intent(this, RationalePermissionActivity.class));
                break;
            }
        }
    }
}
